Skip to main content
`Ctrl`+`K`

# MatLRCGetMats

Returns the constituents of an LRC matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLRCGetMats(Mat N, Mat *A, Mat *U, Vec *c, Mat *V)

Not collective

## Input Parameter

- N - matrix of type `MATLRC`

## Output Parameters

- A - the (sparse) matrix

- U - first dense rectangular (tall and skinny) matrix

- c - a sequential vector containing the diagonal of C

- V - second dense rectangular (tall and skinny) matrix

## Notes

The returned matrices should not be destroyed by the caller.

`U`, `c`, `V` may be `NULL` if not needed

## See Also

Matrices, `MatLRCSetMats()`, `Mat`, `MATLRC`, `MatCreateLRC()`

## Level

intermediate

## Location

src/mat/impls/lrc/lrc.c

## Implementations

MatLRCGetMats_LRC() in src/mat/impls/lrc/lrc.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages